存款
当用户执行存款时,存款数据应发送给 QI Tech。这样,可以根据该数据集对操作所涉及的欺诈风险和反洗钱风险进行分析。
存款对象定义
Request Body
{
"id": "082373263",
"amount": 12979,
"deposit_date": "2020-10-07T15:06:25-03:00",
"client": {
"id": "182373263",
"type": "natural_person",
"document_number": "123.456.789-10",
"name": "Benedito Calixto de Jesus",
"email": "benedito@test.com",
"address": {
"street": "Rua José Wasth Rodrigues",
"number": "243",
"neighbourhood": "Vila Maria",
"city": "São Paulo",
"uf": "SP",
"complement": "Apartamento 14B",
"postal_code": "02121-010"
},
"phone": {
"international_dial_code": "55",
"area_code": "11",
"number": "998861708",
"type": "mobile"
},
"sales_channel": "inbound_sales",
"segment": "Personalité"
},
"destination_account": {
"participant": "17315359",
"branch": "0000",
"account_number": "10442",
"account_digit": "6",
"account_type": "CACC",
"opening_date": "2020-01-15T18:00:00-03:00"
},
"terminal": {
"id": "1234566",
"latitude": -45.2753548,
"longitude": -15.24587,
"address": {
"street": "Av. Eng. Luis Carlos Berrini",
"number": "105",
"neighbourhood": "Brooklin",
"city": "São Paulo",
"uf": "SP",
"complement": "Cj 303",
"postal_code": "04501-140"
},
"type": "atm"
},
"authentication": {
"used_password": true,
"used_card": true,
"used_fingerprint": true,
"typed_account_number": false
}
}
存款必须在转发到处理系统之前发送到 API,以便进行预先欺诈验证。
存款状态表示模型对该账户返回的决策。以下状态用于 analysis_status 标志:
automatically_approvedautomatically_reproved
以下是 analysis_status 标志中返回的每个决策的含义:
| 状态 | 描述 |
|---|---|
| automatically_approved | 建议批准此存款。 |
| automatically_reproved | 建议拒绝此存款。 |
| 名称 | 类型 | 描述 |
|---|---|---|
| id | string | 客户系统中存款的标识符。 此编号对每笔存款必 须唯一 |
| amount | integer | 存款金额(分)——如"标准"部分所述。 |
| deposit_date | datetime | 存款执行的日期和时间——如"标准"部分所述。 |
| client | client | 包含来源账户持有人数据的对象。 |
| destination_account | account | 确定待存款资金目标账户的对象。 |
| terminal | terminal | 包含执行存款的终端数据的对象。 |
| authentication | authentication | 包含认证信息的对象。 |
存款相关对象
Terminal 对象
Request Body
{
"id": "1234566",
"latitude": -45.2753548,
"longitude": -15.24587,
"address": {
"street": "Av. Eng. Luis Carlos Berrini",
"number": "105",
"neighbourhood": "Brooklin",
"city": "São Paulo",
"uf": "SP",
"complement": "Cj 303",
"postal_code": "04501-140"
},
"type": "atm"
}
表示用于存款的终端的对象。
| 名称 | 类型 | 描述 |
|---|---|---|
| id | string | 客户系统中终端的标识符 |
| latitude | number | 终端位置的纬度(度) |
| longitude | number | 终端位置的经度(度) |
| address | address | 终端地址 |
| type | 枚举 | 终端类型,可能值:"atm"、"counter" |
Authentication 对象
Request Body
{
"used_password": true,
"used_card": true,
"used_fingerprint": true,
"typed_account_number": false
}
定义存款时使用的认证参数的对象。
| 名称 | 类型 | 描述 |
|---|---|---|
| used_password | boolean | 确定用户是否使用了密码 |
| used_card | boolean | 确定用户在认证时是否携带卡片 |
| used_card_chip_and_pin | boolean | 确定用户是否使用了芯片和密码 |
| used_card_magnetic_stripe | boolean | 确定用户是否使用了磁条 |
| used_fingerprint | boolean | 确定用户是否使用了指纹 |
| typed_account_number | boolean | 确定用户是否输入了账户数据 |
发送存款
Request Body
{
"id": "12345",
...
}
Response Body
{
"id": "082373263",
"analysis_status": "automatically_approved",
"reason": "2019-10-01T10:37:25-03:00"
}
要评估存款,只需将 deposit 类型的对象发送到以下端点:
POST https://api.caas.qitech.app/deposit/deposit
查询存款
Response Body
{
"id": "082373263",
"analysis_status": "automatically_approved",
"reason": "2019-10-01T10:37:25-03:00"
}
要检索存款数据,只需向以下端点发送请求:
GET https://api.caas.qitech.app/deposit/deposit/{deposit_id}